Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.spi
Class AbstractServerContext

    java.lang.Object
      org.jboss.portal.portlet.impl.spi.AbstractServerContext

All Implemented Interfaces:
  ServerContext

    public class AbstractServerContext

extends java.lang.Object
implements ServerContext

Version:
  $Revision: 6929 $
Author:
  Julien Viet

Constructor Summary
`AbstractServerContext(javax.servlet.http.HttpServletRequest clientRequest, javax.servlet.http.HttpServletResponse clientResponse)`

Method Summary
`java.lang.Object` | `dispatch(org.jboss.portal.web.ServletContainer servletContainer, javax.servlet.ServletContext targetServletContext, org.jboss.portal.web.RequestDispatchCallback callback, java.lang.Object handback)` Delegate to the request context the dispatching to the target servlet context using the specified spi elements.
`java.lang.String` | `getScheme()` Return the scheme value.
`java.lang.String` | `getServerName()` Return the server name value.
`int` | `getServerPort()` Return the server port value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractServerContext

    public AbstractServerContext(javax.servlet.http.HttpServletRequest clientRequest,
                                 javax.servlet.http.HttpServletResponse clientResponse)

Method Detail

### getScheme

    public java.lang.String getScheme()

  Description copied from interface: `ServerContext`
  Return the scheme value.

  Specified by:
    `getScheme` in interface `ServerContext`
  Returns:
    the scheme

### getServerName

    public java.lang.String getServerName()

  Description copied from interface: `ServerContext`
  Return the server name value.

  Specified by:
    `getServerName` in interface `ServerContext`
  Returns:
    the server name

### getServerPort

    public int getServerPort()

  Description copied from interface: `ServerContext`
  Return the server port value.

  Specified by:
    `getServerPort` in interface `ServerContext`
  Returns:
    the server port

### dispatch

    public java.lang.Object dispatch(org.jboss.portal.web.ServletContainer servletContainer,
                                     javax.servlet.ServletContext targetServletContext,
                                     org.jboss.portal.web.RequestDispatchCallback callback,
                                     java.lang.Object handback)
                              throws java.lang.Exception

  Description copied from interface: `ServerContext`
  Delegate to the request context the dispatching to the target servlet context using the specified spi elements.

  Specified by:
    `dispatch` in interface `ServerContext`
  Parameters:
    `servletContainer` - the servlet container spi
    `targetServletContext` - the target servlet context
    `callback` - the call back to be done after dispatch
    `handback` - the hand back object to provide after dispatch to the call back
  Returns:
    the call back returned object
  Throws:
    `java.lang.Exception` - any exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.